Date   

Re: Add-on website maintenance: add-ons without a defined downoad key on add-on files's get.php

Mahmood Taghavi
 

Hi Joseph and the NVDA addons community,
I am the author of the dual_voice addon. I know that It's not compatible with the new beta version of NVDA but I will make it compatible in the following week. 
The project release page is https://github.com/Mahmood-Taghavi/dual_voice/releases so the next version will be version 5.0 that will be available there.
Kind regards
Mahmood Taghavi

On Sat, Jun 12, 2021 at 7:05 AM Joseph Lee <joseph.lee22590@...> wrote:

Hi all,

Luke Davis brought the following issue to my attention a few minutes ago:

There are add-ons listed in get.php (add-on files repo) with no download keys, or if they do exist, they are only listed as a dev download link. The former is the case with Dual Voice, while Crash Hero has a key defined (“crh) but is tagged as a dev release.

The following add-ons are listed this way:

  • Crash Hero
  • Dual Voice
  • Newfon
  • Team Talk

 

I would like to ask the authors of these add-ons to respond to the following questions no later than June 18, 2021:

  1. Are your add-ons compatible with NVDA 2021.1 or you have plans to make them compatible?
  2. Are there add-ons listed as stable yet the download key is still tagged with “-dev” suffix?
  3. In case we cannot contact the add-on author, do we (NvDA add-ons community) have permission to remove the add-on from stable add-ons section on community add-ons website?

 

Depending on answers, the following will happen:

  1. Pull requests will be sent to NV Access regarding download keys for stable add-ons.
  2. Add-ons without add-on download/update keys in get.php will be removed from community add-ons JSON metadata.

 

Thank you.

Cheers,

Joseph




Re: NVDA OCR question

Alberto Buffolino
 

Han Solo, il 18/06/2021 09.35, ha scritto:
1. I have installed the latest Tesseract.
2. I have installed the latest training version for my language (polish).
Alberto:
Hi Han,
are you speaking of add-on I reported or of Tesseract installed by you, independently by NVDA?
I hope you can implement it somehow.
Alberto:
sincerely, I don't understand what you're asking for.
Can you provide a little more details?
Alberto


Re: error while using scons pot

Fawaz Abdul rahman
 

Hi! Wow setting path worked.

So I removed python 3.9 but that didn’t do anything, then I tried as you said with set path, using v0.21 which I downloaded from GitHub.

And it just worked.

scons: done building targets.                                                                                          

Thanks.

 

Sent from Mail for Windows 10

 

From: Cyrille via groups.io
Sent: Friday, June 18, 2021 10:12 AM
To: nvda-addons@nvda-addons.groups.io
Subject: Re: [nvda-addons] error while using scons pot

 

Hello

What seems strange to me is that your 'scons pot' command is looking for DLLs. On my side (and also on other people's side), only the .exe are required. Could it be due to the presence of Python 3.9? Could you try to confirm if Python 3.7 is called by scons and not Python 3.9?
Sorry, I have no clear idea of the cause of this issue.
I'll let other people comment on this topic.

Anyway, if you want to give a try and set manually your path to this folder, you should type the following line in the console before running 'scons pot':
set path=c:\path\to\the\folder\bin;%path%

Cheers,

Cyrille

 

De : "Fawaz Abdul rahman"
A : "nvda-addons@nvda-addons.groups.io"
Envoyé: jeudi 17 Juin 2021 22:42
Objet : Re: [nvda-addons] error while using scons pot
 

Hi,

I’ve downloaded from the link you provided v0.21, and also added the both files in the directory but got 4 different dll errors, interestingly enough, all of them I’ve found them in the bin folder (all 4 dlls.).

So apparently it could be a setting path issue.

< 3. add the path to the bin directory in the command window where you run the ‘scons pot’ command

I am not certain how to do that. Could you elaborate? Thanks.

Here the error msg, all of them available in the bin folder.

 

The code execution cannot proceed because libiconv-2.dll was not found. Reinstalling the program may fix this problem.

The code execution cannot proceed because libstdc++-6.dll was not found. Reinstalling the program may fix this problem.

The code execution cannot proceed because libgettextsrc-0-21.dll was not found. Reinstalling the program may fix this problem.

The code execution cannot proceed because libgcc_s_dw2-1.dll was not found. Reinstalling the program may fix this problem.

 

 

Sent from Mail for Windows 10

 

From: Cyrille via groups.io
Sent: Thursday, June 17, 2021 10:48 PM
To: nvda-addons@nvda-addons.groups.io
Subject: Re: [nvda-addons] error while using scons pot

 

Hello

 

0.14 is a too old version.

There is no official compiled version anymore.

 

It seems you can find unofficial compiled versions here:

https://github.com/vslavik/gettext-tools-windows/releases/tag/v0.21-1

 

I did not try specifically this one. But I think you could do as follow:

  1. download the .zip
  2. extract it somewhere
  3. add the path to the bin directory in the command window where you run the ‘scons pot’ command

An other option used by many people is to add directly the required .exe in your add-on root directory (where you run the commands); this way, no problem of setting the path. The required .exe files are usually msgfmt.exe and xgettext.exe.

 

Hope this helps.

Cheers,

 

Cyrille

 

De : nvda-addons@nvda-addons.groups.io <nvda-addons@nvda-addons.groups.io> De la part de Fawaz Abdul rahman
Envoyé : jeudi 17 juin 2021 18:03
À : nvda-addons@nvda-addons.groups.io
Objet : Re: [nvda-addons] error while using scons pot

 

I have it installed, and also I reinstalled it.

GnuWin32: GetText version 0.14.4; Publisher: GnuWin32; Installed On: 6/17/2021; Version: 0.14.4  21 of 86

Not sure if there is a newer version or something, this is the one from the documentation.

Thanks.

Sent from Mail for Windows 10

 

From: Rui Fontes
Sent: Thursday, June 17, 2021 6:54 PM
To: nvda-addons@nvda-addons.groups.io
Subject: Re: [nvda-addons] error while using scons pot

 

You need to install Getext.

 

Rui Fontes

 

Às 15:59 de 17/06/2021, Fawaz Abdul rahman escreveu:

Hi,

I have installed the following python version:

  1. Python 3.7.9 (32-bit); Publisher: Python Software Foundation; Installed On: 6/8/2021; Size: 91.8 MB; Version: 3.7.9150.0  64 of 86 this is the one mentioned in the addon documentation.
  2.  Python 3.9.2 (64-bit); Publisher: Python Software Foundation; Installed On: 2/24/2021; Size: 103 MB; Version: 3.9.2150.0  65 of 86 this is the one I was using before writing the addon.

Also I’ve tried reinstalling gettext.

Thanks.

 

 

 

Sent from Mail for Windows 10

 

From: Joseph Lee
Sent: Thursday, June 17, 2021 5:49 PM
To: nvda-addons@nvda-addons.groups.io
Subject: Re: [nvda-addons] error while using scons pot

 

Hi,

Actually, you’ll need Python 3.7 or above to align with NVDA Core.

Cheers,

Joseph

 

From: nvda-addons@nvda-addons.groups.io <nvda-addons@nvda-addons.groups.io> On Behalf Of Rémy Ruiz
Sent: Thursday, June 17, 2021 7:48 AM
To: nvda-addons@nvda-addons.groups.io; nvda-addons@groups.io
Subject: Re: [nvda-addons] error while using scons pot

 

Hi,

 

FYI:

 

## building the addon

You will need:

* python 3.6 or above.
* pip must be configured
* scons (pip install scons)
* markdown (pip install markdown)
* msgfmt utility. The easiest way of getting it is by installing git bash and choosing to include bash tools at command prompt

Once you have everything installed, issuing scons at the root of the project should build the addon and generate docs.

Cheers.

Rémy

Le 17/06/2021 à 16:08, Fawaz Abdul rahman a écrit :

Hello,

I’ve written an addon lately, now that it is complete and so, I wanted to translate it, but as far as I understood, I suppose to run ‘scons pot’ in the root directory, but I am getting the following dll errors, note that scons to create the package is working perfectly. No errors.

I didn’t want to download the dll files and place it in the pc before asking others. The errors are:

  1. The code execution cannot proceed because libgettextsrc.dll was not found. Reinstalling the program may fix this problem.
  2. The code execution cannot proceed because libintl3.dll was not found. Reinstalling the program may fix this problem.
  3. The code execution cannot proceed because libexpat.dll was not found. Reinstalling the program may fix this problem.
  4. The code execution cannot proceed because libiconv2.dll was not found. Reinstalling the program may fix this problem.

 

Any help will be appreciated.

Thanks a lot.

 

 

Sent from Mail for Windows 10

 

 

 

 

 

 


Re: UIASelectionItemPattern

falkogiepmans@...
 

Thank you! that worked!
 
 


Re: Weirdness in new version of 3d sounds

Luke Davis
 

Does this happen reliably?

If so, does it happen if you start with add-ons disabled?

Luke


Weirdness in new version of 3d sounds

Brian's Mail list account
 

I downloaded this new version and it works well, but this morning when I updated to the new beta 3, I found it implicated in a delay and apparent temporary empty window effect. Not really understanding why this should be I thought I'd post the odd bit of the boot up log here to see if it is anything to worry about. Watchdog seems not to be amused....

NVDA initialized
DEBUG - core.main (09:54:56.441) - MainThread (6032):
entering wx application main loop
DEBUG - autoSettingsUtils.autoSettings.AutoSettings._registerConfigSaveAction (09:54:56.458) - MainThread (6032):
registering pre_configSave action: <class 'visionEnhancementProviders.NVDAHighlighter.NVDAHighlighterSettings'>
DEBUG - autoSettingsUtils.autoSettings.AutoSettings._loadSpecificSettings (09:54:56.462) - MainThread (6032):
loading vision NVDAHighlighter
DEBUG - autoSettingsUtils.autoSettings.AutoSettings._loadSpecificSettings (09:54:56.462) - MainThread (6032):
Loaded settings for NVDAHighlighterSettings
DEBUG - autoSettingsUtils.autoSettings.AutoSettings._registerConfigSaveAction (09:54:56.464) - MainThread (6032):
registering pre_configSave action: <class 'visionEnhancementProviders.screenCurtain.ScreenCurtainSettings'>
DEBUG - autoSettingsUtils.autoSettings.AutoSettings._loadSpecificSettings (09:54:56.468) - MainThread (6032):
loading vision screenCurtain
DEBUG - autoSettingsUtils.autoSettings.AutoSettings._loadSpecificSettings (09:54:56.468) - MainThread (6032):
Loaded settings for ScreenCurtainSettings
DEBUG - core._doPostNvdaStartupAction (09:54:56.487) - MainThread (6032):
Notify of postNvdaStartup action
IO - speech.speech.speak (09:54:56.491) - MainThread (6032):
Speaking [LangChangeCommand ('en_GB'), 'Taskbar', CancellableSpeech (still valid)]
DEBUGWARNING - characterProcessing._getSpeechSymbolsForLocale (09:54:56.492) - MainThread (6032):
No CLDR data for locale en_GB
IO - inputCore.InputManager.executeGesture (09:54:59.686) - winInputHook (3916):
Input: kb(desktop):alt+tab
DEBUGWARNING - watchdog._watcher (09:55:00.201) - watchdog (3288):
Trying to recover from freeze. Listing stacks for Python threads:
Python stack for thread 3288 (watchdog):
File "threading.pyc", line 890, in _bootstrap
File "threading.pyc", line 926, in _bootstrap_inner
File "threading.pyc", line 870, in run
File "watchdog.pyc", line 127, in _watcher
File "watchdog.pyc", line 63, in getFormattedStacksForAllThreads

Python stack for thread 2872 (Thread-1):
File "threading.pyc", line 890, in _bootstrap
File "threading.pyc", line 926, in _bootstrap_inner
File "threading.pyc", line 870, in run
File "C:\nvda release candidate\userConfig\addons\audiothemes\globalPlugins\audiothemes\unspoken\mixer.py", line 40, in feeder_func
self.queue.put(block_string, block=True)
File "queue.pyc", line 139, in put
File "threading.pyc", line 296, in wait

Python stack for thread 5624 (Thread-2):
File "threading.pyc", line 890, in _bootstrap
File "threading.pyc", line 926, in _bootstrap_inner
File "threading.pyc", line 870, in run
File "C:\nvda release candidate\userConfig\addons\audiothemes\globalPlugins\audiothemes\unspoken\mixer.py", line 57, in player_func
self.player.feed(send_string)
File "nvwave.pyc", line 332, in feed
File "nvwave.pyc", line 347, in _feedUnbuffered_handleErrors
File "nvwave.pyc", line 378, in _feedUnbuffered
File "nvwave.pyc", line 404, in sync
File "winKernel.pyc", line 261, in waitForSingleObject

Python stack for thread 3916 (winInputHook):
File "threading.pyc", line 890, in _bootstrap
File "threading.pyc", line 926, in _bootstrap_inner
File "threading.pyc", line 870, in run
File "winInputHook.pyc", line 79, in hookThreadFunc

Python stack for thread 1688 (_UIAHandler.UIAHandler.MTAThread):
File "threading.pyc", line 890, in _bootstrap
File "threading.pyc", line 926, in _bootstrap_inner
File "threading.pyc", line 870, in run
File "_UIAHandler.pyc", line 340, in MTAThreadFunc
File "queue.pyc", line 170, in get
File "threading.pyc", line 296, in wait

Python stack for thread 5152 (braille._BgThread):
File "threading.pyc", line 890, in _bootstrap
File "threading.pyc", line 926, in _bootstrap_inner
File "threading.pyc", line 870, in run
File "braille.pyc", line 2199, in func

Python stack for thread 5976 (synthDrivers._espeak.BgThread):
File "threading.pyc", line 890, in _bootstrap
File "threading.pyc", line 926, in _bootstrap_inner
File "synthDrivers\_espeak.pyc", line 190, in run
File "queue.pyc", line 170, in get
File "threading.pyc", line 296, in wait

Python stack for thread 6032 (MainThread):
File "nvda.pyw", line 359, in <module>
File "core.pyc", line 716, in main
File "wx\core.pyc", line 2237, in MainLoop
File "gui\__init__.pyc", line 838, in Notify
File "core.pyc", line 677, in run
File "IAccessibleHandler\__init__.pyc", line 941, in pumpAll
File "IAccessibleHandler\__init__.pyc", line 763, in processForegroundWinEvent
File "IAccessibleHandler\__init__.pyc", line 468, in winEventToNVDAEvent
File "_UIAHandler.pyc", line 816, in isUIAWindow
File "_UIAHandler.pyc", line 758, in _isUIAWindowHelper

DEBUGWARNING - core.CorePump.run (09:55:00.501) - MainThread (6032):
errors in this core pump cycle
Traceback (most recent call last):
File "core.pyc", line 677, in run
File "IAccessibleHandler\__init__.pyc", line 941, in pumpAll
File "IAccessibleHandler\__init__.pyc", line 763, in processForegroundWinEvent
File "IAccessibleHandler\__init__.pyc", line 468, in winEventToNVDAEvent
File "_UIAHandler.pyc", line 816, in isUIAWindow
File "_UIAHandler.pyc", line 810, in _isUIAWindowHelper
File "watchdog.pyc", line 229, in sendMessageCallCanceller
core.CallCancelled
IO - inputCore.InputManager.executeGesture (09:55:05.068) - winInputHook (3916):
Input: kb(desktop):upArrow
IO - inputCore.InputManager.executeGesture (09:55:05.644) - winInputHook (3916):
Input: kb(desktop):downArrow
IO - inputCore.InputManager.executeGesture (09:55:07.540) - winInputHook (3916):
Input: kb(desktop):upArrow
IO - inputCore.InputManager.executeGesture (09:55:08.108) - winInputHook (3916):
Input: kb(desktop):downArrow
IO - speech.speech.speak (09:55:09.735) - MainThread (6032):
Speaking [LangChangeCommand ('en_GB'), '5 nvda new snaps list - Outlook Express - Brians lists account BGlists', CancellableSpeech (still valid)]
IO - speech.speech.speak (09:55:09.737) - MainThread (6032):
Speaking [LangChangeCommand ('en_GB'), 'Outlook Express Message List', 'list', CancellableSpeech (still valid)]
DEBUGWARNING - displayModel.DisplayModelTextInfo._get__storyFieldsAndRects (09:55:09.739) - MainThread (6032):
AppModule does not have a binding handle
IO - speech.speech.speak (09:55:09.742) - MainThread (6032):
Speaking [LangChangeCommand ('en_GB'), 'has attachment; From: NV Access Git; Subject: nvda/beta 98d4b65d: Update translations.; Received: 18/06/2021 01:02', '243 of 243', CancellableSpeech (still valid)]
DEBUGWARNING - displayModel.DisplayModelTextInfo._get__storyFieldsAndRects (09:55:09.744) - MainThread (6032):
AppModule does not have a binding handle
IO - speech.speech.speak (09:55:09.749) - MainThread (6032):
Speaking [LangChangeCommand ('en_GB'), 'has attachment; From: NV Access Git; Subject: nvda/beta 98d4b65d: Update translations.; Received: 18/06/2021 01:02', '243 of 243', CancellableSpeech (still valid)]
DEBUGWARNING - displayModel.DisplayModelTextInfo._get__storyFieldsAndRects (09:55:09.751) - MainThread (6032):
AppModule does not have a binding handle
IO - speech.speech.speak (09:55:09.755) - MainThread (6032):
Speaking [LangChangeCommand ('en_GB'), 'has attachment; From: NV Access Git; Subject: nvda/beta 98d4b65d: Update translations.; Received: 18/06/2021 01:02', '243 of 243', CancellableSpeech (still valid)]
DEBUGWARNING - displayModel.DisplayModelTextInfo._get__storyFieldsAndRects (09:55:09.761) - MainThread (6032):
AppModule does not have a binding handle
DEBUGWARNING - displayModel.DisplayModelTextInfo._get__storyFieldsAndRects (09:55:09.763) - MainThread (6032):
AppModule does not have a binding handle
IO - speech.speech.speak (09:55:09.768) - MainThread (6032):
Speaking [LangChangeCommand ('en_GB'), 'has attachment; From: NV Access Git; Subject: nvda/beta 98d4b65d: Update translations.; Received: 18/06/2021 01:02', '243 of 243', CancellableSpeech (still valid)]
IO - inputCore.InputManager.executeGesture (09:55:14.253) - winInputHook (3916):
Input: kb(desktop):control+alt+r
IO - speech.speech.speak (09:55:14.342) - MainThread (6032):
Speaking [LangChangeCommand ('en_GB'), 'reboot nvda with log', 'terminal', CancellableSpeech (still valid), '80 space', 'blank']
INFO - core.main (09:55:14.528) - MainThread (6032):
Exiting


bglists@blueyonder.co.uk
Sent via blueyonder.
Please address personal E-mail to:-
briang1@blueyonder.co.uk, putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users


Re: NVDA OCR question

Brian's Mail list account
 

Is there a reason why this add on is not seen on the system? After all two things spring to mind, you may find one ocr can perform better than another on certain fonts or text, and of course there are still a lot of people on windows 7, who might like to use that feature.
OK so nvda will drop windows 7 support after this year, but Suspect I'll still have a windows 7 machine around due to legacy software.
Brian

bglists@blueyonder.co.uk
Sent via blueyonder.
Please address personal E-mail to:-
briang1@blueyonder.co.uk, putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users

----- Original Message -----
From: "Alberto Buffolino" <a.buffolino@gmail.com>
To: <nvda-addons@nvda-addons.groups.io>
Sent: Thursday, June 17, 2021 4:19 PM
Subject: Re: [nvda-addons] NVDA OCR question


Han Solo, il 17/06/2021 12.22, ha scritto:
What kind of OCR does NVDA use?
Is it possible to implement Tesseract with options to enhance the image before recognition?
Alberto:
Hi Han,
usually, NVDA uses Windows 10 OCR, if runs on Windows 10, as you imagine.
Additionally, there is an add-on, simply called OCR, which works with Tesseract v5 (I personally contributed to update it from previous 3.04 version, results are very good now). You can find it here (not packaged in .nvda-addon):
https://github.com/lukaszgo1/nvda-ocr
The results are very poor.
Alberto:
consider that these solutions was born not to be a document OCR, like FineReader, but a on-the-fly escamotage to cross inaccessible situations.
I have a script that makes recognition very efficient thanks to opencv.
Alberto:
can you share it? OpenCV is a great project, but I never seen used for OCR in NVDA community.
Alberto




Re: NVDA OCR question

Han Solo
 

Hi!

I found and tried such a script on the internet.
I don't remember the site and the author, but I don't think it infringes the copyright.
I will try to find the author.
1. I have installed the latest Tesseract.
2. I have installed the latest training version for my language (polish).

I checked the control file with Jaws19, FineReader15 and that Tess.
Recognition accuracy very good.

I hope you can implement it somehow.



pozdrawiam

Han





W dniu 17.06.2021 o 17:19, Alberto Buffolino pisze:

Han Solo, il 17/06/2021 12.22, ha scritto:
What kind of OCR does NVDA use?
Is it possible to implement Tesseract with options to enhance the image before recognition?
Alberto:
Hi Han,
usually, NVDA uses Windows 10 OCR, if runs on Windows 10, as you imagine.
Additionally, there is an add-on, simply called OCR, which works with Tesseract v5 (I personally contributed to update it from previous 3.04 version, results are very good now). You can find it here (not packaged in .nvda-addon):
https://github.com/lukaszgo1/nvda-ocr
The results are very poor.
Alberto:
consider that these solutions was born not to be a document OCR, like FineReader, but a on-the-fly escamotage to cross inaccessible situations.
I have a script that makes recognition very efficient thanks to opencv.
Alberto:
can you share it? OpenCV is a great project, but I never seen used for OCR in NVDA community.
Alberto




Re: error while using scons pot

Fawaz Abdul rahman
 

Alright I’ll try both, (will uninstall python 3.9)

 

 

Sent from Mail for Windows 10

 

From: Cyrille via groups.io
Sent: Friday, June 18, 2021 10:12 AM
To: nvda-addons@nvda-addons.groups.io
Subject: Re: [nvda-addons] error while using scons pot

 

Hello

What seems strange to me is that your 'scons pot' command is looking for DLLs. On my side (and also on other people's side), only the .exe are required. Could it be due to the presence of Python 3.9? Could you try to confirm if Python 3.7 is called by scons and not Python 3.9?
Sorry, I have no clear idea of the cause of this issue.
I'll let other people comment on this topic.

Anyway, if you want to give a try and set manually your path to this folder, you should type the following line in the console before running 'scons pot':
set path=c:\path\to\the\folder\bin;%path%

Cheers,

Cyrille

 

De : "Fawaz Abdul rahman"
A : "nvda-addons@nvda-addons.groups.io"
Envoyé: jeudi 17 Juin 2021 22:42
Objet : Re: [nvda-addons] error while using scons pot
 

Hi,

I’ve downloaded from the link you provided v0.21, and also added the both files in the directory but got 4 different dll errors, interestingly enough, all of them I’ve found them in the bin folder (all 4 dlls.).

So apparently it could be a setting path issue.

< 3. add the path to the bin directory in the command window where you run the ‘scons pot’ command

I am not certain how to do that. Could you elaborate? Thanks.

Here the error msg, all of them available in the bin folder.

 

The code execution cannot proceed because libiconv-2.dll was not found. Reinstalling the program may fix this problem.

The code execution cannot proceed because libstdc++-6.dll was not found. Reinstalling the program may fix this problem.

The code execution cannot proceed because libgettextsrc-0-21.dll was not found. Reinstalling the program may fix this problem.

The code execution cannot proceed because libgcc_s_dw2-1.dll was not found. Reinstalling the program may fix this problem.

 

 

Sent from Mail for Windows 10

 

From: Cyrille via groups.io
Sent: Thursday, June 17, 2021 10:48 PM
To: nvda-addons@nvda-addons.groups.io
Subject: Re: [nvda-addons] error while using scons pot

 

Hello

 

0.14 is a too old version.

There is no official compiled version anymore.

 

It seems you can find unofficial compiled versions here:

https://github.com/vslavik/gettext-tools-windows/releases/tag/v0.21-1

 

I did not try specifically this one. But I think you could do as follow:

  1. download the .zip
  2. extract it somewhere
  3. add the path to the bin directory in the command window where you run the ‘scons pot’ command

An other option used by many people is to add directly the required .exe in your add-on root directory (where you run the commands); this way, no problem of setting the path. The required .exe files are usually msgfmt.exe and xgettext.exe.

 

Hope this helps.

Cheers,

 

Cyrille

 

De : nvda-addons@nvda-addons.groups.io <nvda-addons@nvda-addons.groups.io> De la part de Fawaz Abdul rahman
Envoyé : jeudi 17 juin 2021 18:03
À : nvda-addons@nvda-addons.groups.io
Objet : Re: [nvda-addons] error while using scons pot

 

I have it installed, and also I reinstalled it.

GnuWin32: GetText version 0.14.4; Publisher: GnuWin32; Installed On: 6/17/2021; Version: 0.14.4  21 of 86

Not sure if there is a newer version or something, this is the one from the documentation.

Thanks.

Sent from Mail for Windows 10

 

From: Rui Fontes
Sent: Thursday, June 17, 2021 6:54 PM
To: nvda-addons@nvda-addons.groups.io
Subject: Re: [nvda-addons] error while using scons pot

 

You need to install Getext.

 

Rui Fontes

 

Às 15:59 de 17/06/2021, Fawaz Abdul rahman escreveu:

Hi,

I have installed the following python version:

  1. Python 3.7.9 (32-bit); Publisher: Python Software Foundation; Installed On: 6/8/2021; Size: 91.8 MB; Version: 3.7.9150.0  64 of 86 this is the one mentioned in the addon documentation.
  2.  Python 3.9.2 (64-bit); Publisher: Python Software Foundation; Installed On: 2/24/2021; Size: 103 MB; Version: 3.9.2150.0  65 of 86 this is the one I was using before writing the addon.

Also I’ve tried reinstalling gettext.

Thanks.

 

 

 

Sent from Mail for Windows 10

 

From: Joseph Lee
Sent: Thursday, June 17, 2021 5:49 PM
To: nvda-addons@nvda-addons.groups.io
Subject: Re: [nvda-addons] error while using scons pot

 

Hi,

Actually, you’ll need Python 3.7 or above to align with NVDA Core.

Cheers,

Joseph

 

From: nvda-addons@nvda-addons.groups.io <nvda-addons@nvda-addons.groups.io> On Behalf Of Rémy Ruiz
Sent: Thursday, June 17, 2021 7:48 AM
To: nvda-addons@nvda-addons.groups.io; nvda-addons@groups.io
Subject: Re: [nvda-addons] error while using scons pot

 

Hi,

 

FYI:

 

## building the addon

You will need:

* python 3.6 or above.
* pip must be configured
* scons (pip install scons)
* markdown (pip install markdown)
* msgfmt utility. The easiest way of getting it is by installing git bash and choosing to include bash tools at command prompt

Once you have everything installed, issuing scons at the root of the project should build the addon and generate docs.

Cheers.

Rémy

Le 17/06/2021 à 16:08, Fawaz Abdul rahman a écrit :

Hello,

I’ve written an addon lately, now that it is complete and so, I wanted to translate it, but as far as I understood, I suppose to run ‘scons pot’ in the root directory, but I am getting the following dll errors, note that scons to create the package is working perfectly. No errors.

I didn’t want to download the dll files and place it in the pc before asking others. The errors are:

  1. The code execution cannot proceed because libgettextsrc.dll was not found. Reinstalling the program may fix this problem.
  2. The code execution cannot proceed because libintl3.dll was not found. Reinstalling the program may fix this problem.
  3. The code execution cannot proceed because libexpat.dll was not found. Reinstalling the program may fix this problem.
  4. The code execution cannot proceed because libiconv2.dll was not found. Reinstalling the program may fix this problem.

 

Any help will be appreciated.

Thanks a lot.

 

 

Sent from Mail for Windows 10

 

 

 

 

 

 


Re: error while using scons pot

Cyrille
 

Hello

What seems strange to me is that your 'scons pot' command is looking for DLLs. On my side (and also on other people's side), only the .exe are required. Could it be due to the presence of Python 3.9? Could you try to confirm if Python 3.7 is called by scons and not Python 3.9?
Sorry, I have no clear idea of the cause of this issue.
I'll let other people comment on this topic.

Anyway, if you want to give a try and set manually your path to this folder, you should type the following line in the console before running 'scons pot':
set path=c:\path\to\the\folder\bin;%path%

Cheers,

Cyrille

 
De : "Fawaz Abdul rahman"
A : "nvda-addons@nvda-addons.groups.io"
Envoyé: jeudi 17 Juin 2021 22:42
Objet : Re: [nvda-addons] error while using scons pot
 

Hi,

I’ve downloaded from the link you provided v0.21, and also added the both files in the directory but got 4 different dll errors, interestingly enough, all of them I’ve found them in the bin folder (all 4 dlls.).

So apparently it could be a setting path issue.

< 3. add the path to the bin directory in the command window where you run the ‘scons pot’ command

I am not certain how to do that. Could you elaborate? Thanks.

Here the error msg, all of them available in the bin folder.

 

The code execution cannot proceed because libiconv-2.dll was not found. Reinstalling the program may fix this problem.

The code execution cannot proceed because libstdc++-6.dll was not found. Reinstalling the program may fix this problem.

The code execution cannot proceed because libgettextsrc-0-21.dll was not found. Reinstalling the program may fix this problem.

The code execution cannot proceed because libgcc_s_dw2-1.dll was not found. Reinstalling the program may fix this problem.

 

 

Sent from Mail for Windows 10

 

From: Cyrille via groups.io
Sent: Thursday, June 17, 2021 10:48 PM
To: nvda-addons@nvda-addons.groups.io
Subject: Re: [nvda-addons] error while using scons pot

 

Hello

 

0.14 is a too old version.

There is no official compiled version anymore.

 

It seems you can find unofficial compiled versions here:

https://github.com/vslavik/gettext-tools-windows/releases/tag/v0.21-1

 

I did not try specifically this one. But I think you could do as follow:

  1. download the .zip
  2. extract it somewhere
  3. add the path to the bin directory in the command window where you run the ‘scons pot’ command

An other option used by many people is to add directly the required .exe in your add-on root directory (where you run the commands); this way, no problem of setting the path. The required .exe files are usually msgfmt.exe and xgettext.exe.

 

Hope this helps.

Cheers,

 

Cyrille

 

De : nvda-addons@nvda-addons.groups.io <nvda-addons@nvda-addons.groups.io> De la part de Fawaz Abdul rahman
Envoyé : jeudi 17 juin 2021 18:03
À : nvda-addons@nvda-addons.groups.io
Objet : Re: [nvda-addons] error while using scons pot

 

I have it installed, and also I reinstalled it.

GnuWin32: GetText version 0.14.4; Publisher: GnuWin32; Installed On: 6/17/2021; Version: 0.14.4  21 of 86

Not sure if there is a newer version or something, this is the one from the documentation.

Thanks.

Sent from Mail for Windows 10

 

From: Rui Fontes
Sent: Thursday, June 17, 2021 6:54 PM
To: nvda-addons@nvda-addons.groups.io
Subject: Re: [nvda-addons] error while using scons pot

 

You need to install Getext.

 

Rui Fontes

 

Às 15:59 de 17/06/2021, Fawaz Abdul rahman escreveu:

Hi,

I have installed the following python version:

  1. Python 3.7.9 (32-bit); Publisher: Python Software Foundation; Installed On: 6/8/2021; Size: 91.8 MB; Version: 3.7.9150.0  64 of 86 this is the one mentioned in the addon documentation.
  2.  Python 3.9.2 (64-bit); Publisher: Python Software Foundation; Installed On: 2/24/2021; Size: 103 MB; Version: 3.9.2150.0  65 of 86 this is the one I was using before writing the addon.

Also I’ve tried reinstalling gettext.

Thanks.

 

 

 

Sent from Mail for Windows 10

 

From: Joseph Lee
Sent: Thursday, June 17, 2021 5:49 PM
To: nvda-addons@nvda-addons.groups.io
Subject: Re: [nvda-addons] error while using scons pot

 

Hi,

Actually, you’ll need Python 3.7 or above to align with NVDA Core.

Cheers,

Joseph

 

From: nvda-addons@nvda-addons.groups.io <nvda-addons@nvda-addons.groups.io> On Behalf Of Rémy Ruiz
Sent: Thursday, June 17, 2021 7:48 AM
To: nvda-addons@nvda-addons.groups.io; nvda-addons@groups.io
Subject: Re: [nvda-addons] error while using scons pot

 

Hi,

 

FYI:

 

## building the addon

You will need:

* python 3.6 or above.
* pip must be configured
* scons (pip install scons)
* markdown (pip install markdown)
* msgfmt utility. The easiest way of getting it is by installing git bash and choosing to include bash tools at command prompt

Once you have everything installed, issuing scons at the root of the project should build the addon and generate docs.

Cheers.

Rémy

Le 17/06/2021 à 16:08, Fawaz Abdul rahman a écrit :

Hello,

I’ve written an addon lately, now that it is complete and so, I wanted to translate it, but as far as I understood, I suppose to run ‘scons pot’ in the root directory, but I am getting the following dll errors, note that scons to create the package is working perfectly. No errors.

I didn’t want to download the dll files and place it in the pc before asking others. The errors are:

  1. The code execution cannot proceed because libgettextsrc.dll was not found. Reinstalling the program may fix this problem.
  2. The code execution cannot proceed because libintl3.dll was not found. Reinstalling the program may fix this problem.
  3. The code execution cannot proceed because libexpat.dll was not found. Reinstalling the program may fix this problem.
  4. The code execution cannot proceed because libiconv2.dll was not found. Reinstalling the program may fix this problem.

 

Any help will be appreciated.

Thanks a lot.

 

 

Sent from Mail for Windows 10

 

 

 

 

 


Re: error while using scons pot

Fawaz Abdul rahman
 

Hi,

I’ve downloaded from the link you provided v0.21, and also added the both files in the directory but got 4 different dll errors, interestingly enough, all of them I’ve found them in the bin folder (all 4 dlls.).

So apparently it could be a setting path issue.

< 3. add the path to the bin directory in the command window where you run the ‘scons pot’ command

I am not certain how to do that. Could you elaborate? Thanks.

Here the error msg, all of them available in the bin folder.

 

The code execution cannot proceed because libiconv-2.dll was not found. Reinstalling the program may fix this problem.

The code execution cannot proceed because libstdc++-6.dll was not found. Reinstalling the program may fix this problem.

The code execution cannot proceed because libgettextsrc-0-21.dll was not found. Reinstalling the program may fix this problem.

The code execution cannot proceed because libgcc_s_dw2-1.dll was not found. Reinstalling the program may fix this problem.

 

 

Sent from Mail for Windows 10

 

From: Cyrille via groups.io
Sent: Thursday, June 17, 2021 10:48 PM
To: nvda-addons@nvda-addons.groups.io
Subject: Re: [nvda-addons] error while using scons pot

 

Hello

 

0.14 is a too old version.

There is no official compiled version anymore.

 

It seems you can find unofficial compiled versions here:

https://github.com/vslavik/gettext-tools-windows/releases/tag/v0.21-1

 

I did not try specifically this one. But I think you could do as follow:

  1. download the .zip
  2. extract it somewhere
  3. add the path to the bin directory in the command window where you run the ‘scons pot’ command

An other option used by many people is to add directly the required .exe in your add-on root directory (where you run the commands); this way, no problem of setting the path. The required .exe files are usually msgfmt.exe and xgettext.exe.

 

Hope this helps.

Cheers,

 

Cyrille

 

De : nvda-addons@nvda-addons.groups.io <nvda-addons@nvda-addons.groups.io> De la part de Fawaz Abdul rahman
Envoyé : jeudi 17 juin 2021 18:03
À : nvda-addons@nvda-addons.groups.io
Objet : Re: [nvda-addons] error while using scons pot

 

I have it installed, and also I reinstalled it.

GnuWin32: GetText version 0.14.4; Publisher: GnuWin32; Installed On: 6/17/2021; Version: 0.14.4  21 of 86

Not sure if there is a newer version or something, this is the one from the documentation.

Thanks.

Sent from Mail for Windows 10

 

From: Rui Fontes
Sent: Thursday, June 17, 2021 6:54 PM
To: nvda-addons@nvda-addons.groups.io
Subject: Re: [nvda-addons] error while using scons pot

 

You need to install Getext.

 

Rui Fontes

 

Às 15:59 de 17/06/2021, Fawaz Abdul rahman escreveu:

Hi,

I have installed the following python version:

  1. Python 3.7.9 (32-bit); Publisher: Python Software Foundation; Installed On: 6/8/2021; Size: 91.8 MB; Version: 3.7.9150.0  64 of 86 this is the one mentioned in the addon documentation.
  2.  Python 3.9.2 (64-bit); Publisher: Python Software Foundation; Installed On: 2/24/2021; Size: 103 MB; Version: 3.9.2150.0  65 of 86 this is the one I was using before writing the addon.

Also I’ve tried reinstalling gettext.

Thanks.

 

 

 

Sent from Mail for Windows 10

 

From: Joseph Lee
Sent: Thursday, June 17, 2021 5:49 PM
To: nvda-addons@nvda-addons.groups.io
Subject: Re: [nvda-addons] error while using scons pot

 

Hi,

Actually, you’ll need Python 3.7 or above to align with NVDA Core.

Cheers,

Joseph

 

From: nvda-addons@nvda-addons.groups.io <nvda-addons@nvda-addons.groups.io> On Behalf Of Rémy Ruiz
Sent: Thursday, June 17, 2021 7:48 AM
To: nvda-addons@nvda-addons.groups.io; nvda-addons@groups.io
Subject: Re: [nvda-addons] error while using scons pot

 

Hi,

 

FYI:

 

## building the addon

You will need:

* python 3.6 or above.
* pip must be configured
* scons (pip install scons)
* markdown (pip install markdown)
* msgfmt utility. The easiest way of getting it is by installing git bash and choosing to include bash tools at command prompt

Once you have everything installed, issuing scons at the root of the project should build the addon and generate docs.

Cheers.

Rémy

Le 17/06/2021 à 16:08, Fawaz Abdul rahman a écrit :

Hello,

I’ve written an addon lately, now that it is complete and so, I wanted to translate it, but as far as I understood, I suppose to run ‘scons pot’ in the root directory, but I am getting the following dll errors, note that scons to create the package is working perfectly. No errors.

I didn’t want to download the dll files and place it in the pc before asking others. The errors are:

  1. The code execution cannot proceed because libgettextsrc.dll was not found. Reinstalling the program may fix this problem.
  2. The code execution cannot proceed because libintl3.dll was not found. Reinstalling the program may fix this problem.
  3. The code execution cannot proceed because libexpat.dll was not found. Reinstalling the program may fix this problem.
  4. The code execution cannot proceed because libiconv2.dll was not found. Reinstalling the program may fix this problem.

 

Any help will be appreciated.

Thanks a lot.

 

 

Sent from Mail for Windows 10

 

 

 

 


Re: NVDA Updater

 

Hi,
One of the goals of these try builds is to let Add-on Updater discover new add-ons registered on community add-ons website faster - currently I dedicate at least one release per year to adding update keys for new add-ons, but with the proposed changes (included in try builds), it will be a matter of updating add-on info from the cloud instead of shipping a new Add-on Updater version just to register add-on updates.
Cheers,
Joseph

-----Original Message-----
From: nvda-addons@nvda-addons.groups.io <nvda-addons@nvda-addons.groups.io> On Behalf Of Lino Morales
Sent: Thursday, June 17, 2021 1:36 PM
To: nvda-addons@nvda-addons.groups.io
Subject: Re: [nvda-addons] NVDA Updater

Well that was fast. Don't know what all that means, but hey I'm more than happy to test and report back to you. Thanks.

On 6/17/2021 4:28 PM, Joseph Lee wrote:
Hi,
https://github.com/josephsl/addonUpdater/releases/latest

Currently try builds are based on a combination of 21.05.1 and upcoming 21.07 code. Note that try builds can change without notice as it depends on JSON metadata schema that's being worked on.
Cheers,
Joseph


-----Original Message-----
From: nvda-addons@nvda-addons.groups.io
<nvda-addons@nvda-addons.groups.io> On Behalf Of Lino Morales
Sent: Thursday, June 17, 2021 1:26 PM
To: nvda-addons@nvda-addons.groups.io
Subject: [nvda-addons] NVDA Updater

Hey Joseph. I thought I've bookedmarked your Gethub page for your add-ons. What is the URL for the test build of NVDA Updater? Thanks.











Re: NVDA Updater

Lino Morales
 

Well that was fast. Don't know what all that means, but hey I'm more than happy to test and report back to you. Thanks.

On 6/17/2021 4:28 PM, Joseph Lee wrote:
Hi,
https://github.com/josephsl/addonUpdater/releases/latest

Currently try builds are based on a combination of 21.05.1 and upcoming 21.07 code. Note that try builds can change without notice as it depends on JSON metadata schema that's being worked on.
Cheers,
Joseph


-----Original Message-----
From: nvda-addons@nvda-addons.groups.io <nvda-addons@nvda-addons.groups.io> On Behalf Of Lino Morales
Sent: Thursday, June 17, 2021 1:26 PM
To: nvda-addons@nvda-addons.groups.io
Subject: [nvda-addons] NVDA Updater

Hey Joseph. I thought I've bookedmarked your Gethub page for your add-ons. What is the URL for the test build of NVDA Updater? Thanks.










Re: NVDA Updater

 

Hi,
https://github.com/josephsl/addonUpdater/releases/latest

Currently try builds are based on a combination of 21.05.1 and upcoming 21.07 code. Note that try builds can change without notice as it depends on JSON metadata schema that's being worked on.
Cheers,
Joseph

-----Original Message-----
From: nvda-addons@nvda-addons.groups.io <nvda-addons@nvda-addons.groups.io> On Behalf Of Lino Morales
Sent: Thursday, June 17, 2021 1:26 PM
To: nvda-addons@nvda-addons.groups.io
Subject: [nvda-addons] NVDA Updater

Hey Joseph. I thought I've bookedmarked your Gethub page for your add-ons. What is the URL for the test build of NVDA Updater? Thanks.


NVDA Updater

Lino Morales
 

Hey Joseph. I thought I've bookedmarked your Gethub page for your add-ons. What is the URL for the test build of NVDA Updater? Thanks.


Re: error while using scons pot

Cyrille
 

Hello

 

0.14 is a too old version.

There is no official compiled version anymore.

 

It seems you can find unofficial compiled versions here:

https://github.com/vslavik/gettext-tools-windows/releases/tag/v0.21-1

 

I did not try specifically this one. But I think you could do as follow:

  • download the .zip
  • extract it somewhere
  • add the path to the bin directory in the command window where you run the ‘scons pot’ command

An other option used by many people is to add directly the required .exe in your add-on root directory (where you run the commands); this way, no problem of setting the path. The required .exe files are usually msgfmt.exe and xgettext.exe.

 

Hope this helps.

Cheers,

 

Cyrille

 

De : nvda-addons@nvda-addons.groups.io <nvda-addons@nvda-addons.groups.io> De la part de Fawaz Abdul rahman
Envoyé : jeudi 17 juin 2021 18:03
À : nvda-addons@nvda-addons.groups.io
Objet : Re: [nvda-addons] error while using scons pot

 

I have it installed, and also I reinstalled it.

GnuWin32: GetText version 0.14.4; Publisher: GnuWin32; Installed On: 6/17/2021; Version: 0.14.4  21 of 86

Not sure if there is a newer version or something, this is the one from the documentation.

Thanks.

Sent from Mail for Windows 10

 

From: Rui Fontes
Sent: Thursday, June 17, 2021 6:54 PM
To: nvda-addons@nvda-addons.groups.io
Subject: Re: [nvda-addons] error while using scons pot

 

You need to install Getext.

 

Rui Fontes

 

Às 15:59 de 17/06/2021, Fawaz Abdul rahman escreveu:

Hi,

I have installed the following python version:

  • Python 3.7.9 (32-bit); Publisher: Python Software Foundation; Installed On: 6/8/2021; Size: 91.8 MB; Version: 3.7.9150.0  64 of 86 this is the one mentioned in the addon documentation.
  •  Python 3.9.2 (64-bit); Publisher: Python Software Foundation; Installed On: 2/24/2021; Size: 103 MB; Version: 3.9.2150.0  65 of 86 this is the one I was using before writing the addon.

Also I’ve tried reinstalling gettext.

Thanks.

 

 

 

Sent from Mail for Windows 10

 

From: Joseph Lee
Sent: Thursday, June 17, 2021 5:49 PM
To: nvda-addons@nvda-addons.groups.io
Subject: Re: [nvda-addons] error while using scons pot

 

Hi,

Actually, you’ll need Python 3.7 or above to align with NVDA Core.

Cheers,

Joseph

 

From: nvda-addons@nvda-addons.groups.io <nvda-addons@nvda-addons.groups.io> On Behalf Of Rémy Ruiz
Sent: Thursday, June 17, 2021 7:48 AM
To: nvda-addons@nvda-addons.groups.io; nvda-addons@groups.io
Subject: Re: [nvda-addons] error while using scons pot

 

Hi,

 

FYI:

 

## building the addon

You will need:

* python 3.6 or above.
* pip must be configured
* scons (pip install scons)
* markdown (pip install markdown)
* msgfmt utility. The easiest way of getting it is by installing git bash and choosing to include bash tools at command prompt

Once you have everything installed, issuing scons at the root of the project should build the addon and generate docs.

Cheers.

Rémy

Le 17/06/2021 à 16:08, Fawaz Abdul rahman a écrit :

Hello,

I’ve written an addon lately, now that it is complete and so, I wanted to translate it, but as far as I understood, I suppose to run ‘scons pot’ in the root directory, but I am getting the following dll errors, note that scons to create the package is working perfectly. No errors.

I didn’t want to download the dll files and place it in the pc before asking others. The errors are:

  1. The code execution cannot proceed because libgettextsrc.dll was not found. Reinstalling the program may fix this problem.
  2. The code execution cannot proceed because libintl3.dll was not found. Reinstalling the program may fix this problem.
  3. The code execution cannot proceed because libexpat.dll was not found. Reinstalling the program may fix this problem.
  4. The code execution cannot proceed because libiconv2.dll was not found. Reinstalling the program may fix this problem.

 

Any help will be appreciated.

Thanks a lot.

 

 

Sent from Mail for Windows 10

 

 

 


Re: error while using scons pot

Fawaz Abdul rahman
 

I have it installed, and also I reinstalled it.

GnuWin32: GetText version 0.14.4; Publisher: GnuWin32; Installed On: 6/17/2021; Version: 0.14.4  21 of 86

Not sure if there is a newer version or something, this is the one from the documentation.

Thanks.

Sent from Mail for Windows 10

 

From: Rui Fontes
Sent: Thursday, June 17, 2021 6:54 PM
To: nvda-addons@nvda-addons.groups.io
Subject: Re: [nvda-addons] error while using scons pot

 

You need to install Getext.

 

Rui Fontes

 

Às 15:59 de 17/06/2021, Fawaz Abdul rahman escreveu:

Hi,

I have installed the following python version:

  • Python 3.7.9 (32-bit); Publisher: Python Software Foundation; Installed On: 6/8/2021; Size: 91.8 MB; Version: 3.7.9150.0  64 of 86 this is the one mentioned in the addon documentation.
  •  Python 3.9.2 (64-bit); Publisher: Python Software Foundation; Installed On: 2/24/2021; Size: 103 MB; Version: 3.9.2150.0  65 of 86 this is the one I was using before writing the addon.

Also I’ve tried reinstalling gettext.

Thanks.

 

 

 

Sent from Mail for Windows 10

 

From: Joseph Lee
Sent: Thursday, June 17, 2021 5:49 PM
To: nvda-addons@nvda-addons.groups.io
Subject: Re: [nvda-addons] error while using scons pot

 

Hi,

Actually, you’ll need Python 3.7 or above to align with NVDA Core.

Cheers,

Joseph

 

From: nvda-addons@nvda-addons.groups.io <nvda-addons@nvda-addons.groups.io> On Behalf Of Rémy Ruiz
Sent: Thursday, June 17, 2021 7:48 AM
To: nvda-addons@nvda-addons.groups.io; nvda-addons@groups.io
Subject: Re: [nvda-addons] error while using scons pot

 

Hi,

 

FYI:

 

## building the addon

You will need:

* python 3.6 or above.
* pip must be configured
* scons (pip install scons)
* markdown (pip install markdown)
* msgfmt utility. The easiest way of getting it is by installing git bash and choosing to include bash tools at command prompt

Once you have everything installed, issuing scons at the root of the project should build the addon and generate docs.

Cheers.

Rémy

Le 17/06/2021 à 16:08, Fawaz Abdul rahman a écrit :

Hello,

I’ve written an addon lately, now that it is complete and so, I wanted to translate it, but as far as I understood, I suppose to run ‘scons pot’ in the root directory, but I am getting the following dll errors, note that scons to create the package is working perfectly. No errors.

I didn’t want to download the dll files and place it in the pc before asking others. The errors are:

  1. The code execution cannot proceed because libgettextsrc.dll was not found. Reinstalling the program may fix this problem.
  2. The code execution cannot proceed because libintl3.dll was not found. Reinstalling the program may fix this problem.
  3. The code execution cannot proceed because libexpat.dll was not found. Reinstalling the program may fix this problem.
  4. The code execution cannot proceed because libiconv2.dll was not found. Reinstalling the program may fix this problem.

 

Any help will be appreciated.

Thanks a lot.

 

 

Sent from Mail for Windows 10

 

 

 


Re: error while using scons pot

Rui Fontes
 

You need to install Getext.


Rui Fontes


Às 15:59 de 17/06/2021, Fawaz Abdul rahman escreveu:

Hi,

I have installed the following python version:

  • Python 3.7.9 (32-bit); Publisher: Python Software Foundation; Installed On: 6/8/2021; Size: 91.8 MB; Version: 3.7.9150.0  64 of 86 this is the one mentioned in the addon documentation.
  •  Python 3.9.2 (64-bit); Publisher: Python Software Foundation; Installed On: 2/24/2021; Size: 103 MB; Version: 3.9.2150.0  65 of 86 this is the one I was using before writing the addon.

Also I’ve tried reinstalling gettext.

Thanks.

 

 

 

Sent from Mail for Windows 10

 

From: Joseph Lee
Sent: Thursday, June 17, 2021 5:49 PM
To: nvda-addons@nvda-addons.groups.io
Subject: Re: [nvda-addons] error while using scons pot

 

Hi,

Actually, you’ll need Python 3.7 or above to align with NVDA Core.

Cheers,

Joseph

 

From: nvda-addons@nvda-addons.groups.io <nvda-addons@nvda-addons.groups.io> On Behalf Of Rémy Ruiz
Sent: Thursday, June 17, 2021 7:48 AM
To: nvda-addons@nvda-addons.groups.io; nvda-addons@groups.io
Subject: Re: [nvda-addons] error while using scons pot

 

Hi,

 

FYI:

 

## building the addon

You will need:

* python 3.6 or above.
* pip must be configured
* scons (pip install scons)
* markdown (pip install markdown)
* msgfmt utility. The easiest way of getting it is by installing git bash and choosing to include bash tools at command prompt

Once you have everything installed, issuing scons at the root of the project should build the addon and generate docs.

Cheers.

Rémy

Le 17/06/2021 à 16:08, Fawaz Abdul rahman a écrit :

Hello,

I’ve written an addon lately, now that it is complete and so, I wanted to translate it, but as far as I understood, I suppose to run ‘scons pot’ in the root directory, but I am getting the following dll errors, note that scons to create the package is working perfectly. No errors.

I didn’t want to download the dll files and place it in the pc before asking others. The errors are:

  1. The code execution cannot proceed because libgettextsrc.dll was not found. Reinstalling the program may fix this problem.
  2. The code execution cannot proceed because libintl3.dll was not found. Reinstalling the program may fix this problem.
  3. The code execution cannot proceed because libexpat.dll was not found. Reinstalling the program may fix this problem.
  4. The code execution cannot proceed because libiconv2.dll was not found. Reinstalling the program may fix this problem.

 

Any help will be appreciated.

Thanks a lot.

 

 

Sent from Mail for Windows 10

 

 


Re: NVDA OCR question

Alberto Buffolino
 

Han Solo, il 17/06/2021 12.22, ha scritto:
What kind of OCR does NVDA use?
Is it possible to implement Tesseract with options to enhance the image before recognition?
Alberto:
Hi Han,
usually, NVDA uses Windows 10 OCR, if runs on Windows 10, as you imagine.
Additionally, there is an add-on, simply called OCR, which works with Tesseract v5 (I personally contributed to update it from previous 3.04 version, results are very good now). You can find it here (not packaged in .nvda-addon):
https://github.com/lukaszgo1/nvda-ocr
The results are very poor.
Alberto:
consider that these solutions was born not to be a document OCR, like FineReader, but a on-the-fly escamotage to cross inaccessible situations.
I have a script that makes recognition very efficient thanks to opencv.
Alberto:
can you share it? OpenCV is a great project, but I never seen used for OCR in NVDA community.
Alberto


Re: error while using scons pot

Fawaz Abdul rahman
 

Hi,

I have installed the following python version:

  • Python 3.7.9 (32-bit); Publisher: Python Software Foundation; Installed On: 6/8/2021; Size: 91.8 MB; Version: 3.7.9150.0  64 of 86 this is the one mentioned in the addon documentation.
  •  Python 3.9.2 (64-bit); Publisher: Python Software Foundation; Installed On: 2/24/2021; Size: 103 MB; Version: 3.9.2150.0  65 of 86 this is the one I was using before writing the addon.

Also I’ve tried reinstalling gettext.

Thanks.

 

 

 

Sent from Mail for Windows 10

 

From: Joseph Lee
Sent: Thursday, June 17, 2021 5:49 PM
To: nvda-addons@nvda-addons.groups.io
Subject: Re: [nvda-addons] error while using scons pot

 

Hi,

Actually, you’ll need Python 3.7 or above to align with NVDA Core.

Cheers,

Joseph

 

From: nvda-addons@nvda-addons.groups.io <nvda-addons@nvda-addons.groups.io> On Behalf Of Rémy Ruiz
Sent: Thursday, June 17, 2021 7:48 AM
To: nvda-addons@nvda-addons.groups.io; nvda-addons@groups.io
Subject: Re: [nvda-addons] error while using scons pot

 

Hi,

 

FYI:

 

## building the addon

You will need:

* python 3.6 or above.
* pip must be configured
* scons (pip install scons)
* markdown (pip install markdown)
* msgfmt utility. The easiest way of getting it is by installing git bash and choosing to include bash tools at command prompt

Once you have everything installed, issuing scons at the root of the project should build the addon and generate docs.

Cheers.

Rémy

Le 17/06/2021 à 16:08, Fawaz Abdul rahman a écrit :

Hello,

I’ve written an addon lately, now that it is complete and so, I wanted to translate it, but as far as I understood, I suppose to run ‘scons pot’ in the root directory, but I am getting the following dll errors, note that scons to create the package is working perfectly. No errors.

I didn’t want to download the dll files and place it in the pc before asking others. The errors are:

  1. The code execution cannot proceed because libgettextsrc.dll was not found. Reinstalling the program may fix this problem.
  2. The code execution cannot proceed because libintl3.dll was not found. Reinstalling the program may fix this problem.
  3. The code execution cannot proceed because libexpat.dll was not found. Reinstalling the program may fix this problem.
  4. The code execution cannot proceed because libiconv2.dll was not found. Reinstalling the program may fix this problem.

 

Any help will be appreciated.

Thanks a lot.

 

 

Sent from Mail for Windows 10

 

 

781 - 800 of 16478